API Reference
Get Private File Download URL
This API allows you to get a temporary download URL for a private file using its file ID. The URL is cached for a period of time, so multiple requests for the same file will return the same URL. The URL is valid for 1 hour.
Query Parameters
file_id*integer
File ID
Header Parameters
Authorization*string
API key
Response Body
application/json
curl -X GET "https://s.ee/api/v1/file/private/download-url?file_id=0" \ -H "Authorization: string"{
"code": 0,
"message": "string",
"data": {
"file_id": 0,
"url": "string",
"expires_at": 0
},
"success": true
}Get File Upload History GET
Returns a paginated list of uploaded files for the authenticated user. This API is compatible with sm.ms upload_history endpoint and returns 30 files per page sorted by creation time in descending order.
Delete File GET
This API allows you to delete a file using its delete key.